package com.mortals.xhx.module.certificate.model;

import java.util.List;
import com.mortals.xhx.module.certificate.model.CertificateClassifyEntity;
/**
* 证照分类查询对象
*
* @author zxfei
* @date 2022-10-22
*/
public class CertificateClassifyQuery extends CertificateClassifyEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 分类名称 */
    private List<String> classifyNameList;

    /** 开始 排序号 */
    private Integer sortStart;

    /** 结束 排序号 */
    private Integer sortEnd;

    /** 增加 排序号 */
    private Integer sortIncrement;

    /** 排序号列表 */
    private List <Integer> sortList;

    /** 开始 打印次数 */
    private Integer totalStart;

    /** 结束 打印次数 */
    private Integer totalEnd;

    /** 增加 打印次数 */
    private Integer totalIncrement;

    /** 打印次数列表 */
    private List <Integer> totalList;

    /** 开始 是否首页展示0：否1是 */
    private Integer showFrontStart;

    /** 结束 是否首页展示0：否1是 */
    private Integer showFrontEnd;

    /** 增加 是否首页展示0：否1是 */
    private Integer showFrontIncrement;

    /** 是否首页展示0：否1是列表 */
    private List <Integer> showFrontList;

    /** 开始 证照类型，1：普通，2：正副本 */
    private Integer classifyTypeStart;

    /** 结束 证照类型，1：普通，2：正副本 */
    private Integer classifyTypeEnd;

    /** 增加 证照类型，1：普通，2：正副本 */
    private Integer classifyTypeIncrement;

    /** 证照类型，1：普通，2：正副本列表 */
    private List <Integer> classifyTypeList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CertificateClassifyQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CertificateClassifyQuery> andConditionList;

    public CertificateClassifyQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 分类名称
    * @return classifyNameList
    */
    public List<String> getClassifyNameList(){
        return this.classifyNameList;
    }

    /**
    * 设置 分类名称
    * @param classifyNameList
    */
    public void setClassifyNameList(List<String> classifyNameList){
        this.classifyNameList = classifyNameList;
    }
    /**
    * 获取 开始 排序号
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序号
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序号
    * @return $sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序号
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序号
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序号
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序号
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序号
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
    * 获取 开始 打印次数
    * @return totalStart
    */
    public Integer getTotalStart(){
        return this.totalStart;
    }

    /**
    * 设置 开始 打印次数
    * @param totalStart
    */
    public void setTotalStart(Integer totalStart){
        this.totalStart = totalStart;
    }

    /**
    * 获取 结束 打印次数
    * @return $totalEnd
    */
    public Integer getTotalEnd(){
        return this.totalEnd;
    }

    /**
    * 设置 结束 打印次数
    * @param totalEnd
    */
    public void setTotalEnd(Integer totalEnd){
        this.totalEnd = totalEnd;
    }

    /**
    * 获取 增加 打印次数
    * @return totalIncrement
    */
    public Integer getTotalIncrement(){
        return this.totalIncrement;
    }

    /**
    * 设置 增加 打印次数
    * @param totalIncrement
    */
    public void setTotalIncrement(Integer totalIncrement){
        this.totalIncrement = totalIncrement;
    }

    /**
    * 获取 打印次数
    * @return totalList
    */
    public List<Integer> getTotalList(){
        return this.totalList;
    }

    /**
    * 设置 打印次数
    * @param totalList
    */
    public void setTotalList(List<Integer> totalList){
        this.totalList = totalList;
    }

    /**
    * 获取 开始 是否首页展示0：否1是
    * @return showFrontStart
    */
    public Integer getShowFrontStart(){
        return this.showFrontStart;
    }

    /**
    * 设置 开始 是否首页展示0：否1是
    * @param showFrontStart
    */
    public void setShowFrontStart(Integer showFrontStart){
        this.showFrontStart = showFrontStart;
    }

    /**
    * 获取 结束 是否首页展示0：否1是
    * @return $showFrontEnd
    */
    public Integer getShowFrontEnd(){
        return this.showFrontEnd;
    }

    /**
    * 设置 结束 是否首页展示0：否1是
    * @param showFrontEnd
    */
    public void setShowFrontEnd(Integer showFrontEnd){
        this.showFrontEnd = showFrontEnd;
    }

    /**
    * 获取 增加 是否首页展示0：否1是
    * @return showFrontIncrement
    */
    public Integer getShowFrontIncrement(){
        return this.showFrontIncrement;
    }

    /**
    * 设置 增加 是否首页展示0：否1是
    * @param showFrontIncrement
    */
    public void setShowFrontIncrement(Integer showFrontIncrement){
        this.showFrontIncrement = showFrontIncrement;
    }

    /**
    * 获取 是否首页展示0：否1是
    * @return showFrontList
    */
    public List<Integer> getShowFrontList(){
        return this.showFrontList;
    }

    /**
    * 设置 是否首页展示0：否1是
    * @param showFrontList
    */
    public void setShowFrontList(List<Integer> showFrontList){
        this.showFrontList = showFrontList;
    }

    /**
    * 获取 开始 证照类型，1：普通，2：正副本
    * @return classifyTypeStart
    */
    public Integer getClassifyTypeStart(){
        return this.classifyTypeStart;
    }

    /**
    * 设置 开始 证照类型，1：普通，2：正副本
    * @param classifyTypeStart
    */
    public void setClassifyTypeStart(Integer classifyTypeStart){
        this.classifyTypeStart = classifyTypeStart;
    }

    /**
    * 获取 结束 证照类型，1：普通，2：正副本
    * @return $classifyTypeEnd
    */
    public Integer getClassifyTypeEnd(){
        return this.classifyTypeEnd;
    }

    /**
    * 设置 结束 证照类型，1：普通，2：正副本
    * @param classifyTypeEnd
    */
    public void setClassifyTypeEnd(Integer classifyTypeEnd){
        this.classifyTypeEnd = classifyTypeEnd;
    }

    /**
    * 获取 增加 证照类型，1：普通，2：正副本
    * @return classifyTypeIncrement
    */
    public Integer getClassifyTypeIncrement(){
        return this.classifyTypeIncrement;
    }

    /**
    * 设置 增加 证照类型，1：普通，2：正副本
    * @param classifyTypeIncrement
    */
    public void setClassifyTypeIncrement(Integer classifyTypeIncrement){
        this.classifyTypeIncrement = classifyTypeIncrement;
    }

    /**
    * 获取 证照类型，1：普通，2：正副本
    * @return classifyTypeList
    */
    public List<Integer> getClassifyTypeList(){
        return this.classifyTypeList;
    }

    /**
    * 设置 证照类型，1：普通，2：正副本
    * @param classifyTypeList
    */
    public void setClassifyTypeList(List<Integer> classifyTypeList){
        this.classifyTypeList = classifyTypeList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public CertificateClassifyQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public CertificateClassifyQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public CertificateClassifyQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public CertificateClassifyQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public CertificateClassifyQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 分类名称
    * @param classifyName
    */
    public CertificateClassifyQuery classifyName(String classifyName){
        setClassifyName(classifyName);
		return this;
    }

    /**
    * 设置 分类名称
    * @param classifyNameList
    */
    public CertificateClassifyQuery classifyNameList(List<String> classifyNameList){
        this.classifyNameList = classifyNameList;
		return this;
    }

    /**
    * 设置  排序号
    * @param sort
    */
    public CertificateClassifyQuery sort(Integer sort){
	    setSort(sort);
		return this;
    }
	
	 /**
    * 设置 开始 排序号
    * @param sortStart
    */
    public CertificateClassifyQuery sortStart(Integer sortStart){
		this.sortStart = sortStart;
		return this;
    }

    /**
    * 设置 结束 排序号
    * @param sortEnd
    */
    public CertificateClassifyQuery sortEnd(Integer sortEnd){
		this.sortEnd = sortEnd;
		return this;
    }

    /**
    * 设置 增加 排序号
    * @param sortIncrement
    */
    public CertificateClassifyQuery sortIncrement(Integer sortIncrement){
		this.sortIncrement = sortIncrement;
		return this;
    }

    /**
    * 设置 排序号
    * @param sortList
    */
    public CertificateClassifyQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
        }

    /**
    * 设置  打印次数
    * @param total
    */
    public CertificateClassifyQuery total(Integer total){
	    setTotal(total);
		return this;
    }
	
	 /**
    * 设置 开始 打印次数
    * @param totalStart
    */
    public CertificateClassifyQuery totalStart(Integer totalStart){
		this.totalStart = totalStart;
		return this;
    }

    /**
    * 设置 结束 打印次数
    * @param totalEnd
    */
    public CertificateClassifyQuery totalEnd(Integer totalEnd){
		this.totalEnd = totalEnd;
		return this;
    }

    /**
    * 设置 增加 打印次数
    * @param totalIncrement
    */
    public CertificateClassifyQuery totalIncrement(Integer totalIncrement){
		this.totalIncrement = totalIncrement;
		return this;
    }

    /**
    * 设置 打印次数
    * @param totalList
    */
    public CertificateClassifyQuery totalList(List<Integer> totalList){
        this.totalList = totalList;
		return this;
        }

    /**
    * 设置  是否首页展示0：否1是
    * @param showFront
    */
    public CertificateClassifyQuery showFront(Integer showFront){
	    setShowFront(showFront);
		return this;
    }
	
	 /**
    * 设置 开始 是否首页展示0：否1是
    * @param showFrontStart
    */
    public CertificateClassifyQuery showFrontStart(Integer showFrontStart){
		this.showFrontStart = showFrontStart;
		return this;
    }

    /**
    * 设置 结束 是否首页展示0：否1是
    * @param showFrontEnd
    */
    public CertificateClassifyQuery showFrontEnd(Integer showFrontEnd){
		this.showFrontEnd = showFrontEnd;
		return this;
    }

    /**
    * 设置 增加 是否首页展示0：否1是
    * @param showFrontIncrement
    */
    public CertificateClassifyQuery showFrontIncrement(Integer showFrontIncrement){
		this.showFrontIncrement = showFrontIncrement;
		return this;
    }

    /**
    * 设置 是否首页展示0：否1是
    * @param showFrontList
    */
    public CertificateClassifyQuery showFrontList(List<Integer> showFrontList){
        this.showFrontList = showFrontList;
		return this;
        }

    /**
    * 设置  证照类型，1：普通，2：正副本
    * @param classifyType
    */
    public CertificateClassifyQuery classifyType(Integer classifyType){
	    setClassifyType(classifyType);
		return this;
    }
	
	 /**
    * 设置 开始 证照类型，1：普通，2：正副本
    * @param classifyTypeStart
    */
    public CertificateClassifyQuery classifyTypeStart(Integer classifyTypeStart){
		this.classifyTypeStart = classifyTypeStart;
		return this;
    }

    /**
    * 设置 结束 证照类型，1：普通，2：正副本
    * @param classifyTypeEnd
    */
    public CertificateClassifyQuery classifyTypeEnd(Integer classifyTypeEnd){
		this.classifyTypeEnd = classifyTypeEnd;
		return this;
    }

    /**
    * 设置 增加 证照类型，1：普通，2：正副本
    * @param classifyTypeIncrement
    */
    public CertificateClassifyQuery classifyTypeIncrement(Integer classifyTypeIncrement){
		this.classifyTypeIncrement = classifyTypeIncrement;
		return this;
    }

    /**
    * 设置 证照类型，1：普通，2：正副本
    * @param classifyTypeList
    */
    public CertificateClassifyQuery classifyTypeList(List<Integer> classifyTypeList){
        this.classifyTypeList = classifyTypeList;
		return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public CertificateClassifyQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public CertificateClassifyQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public CertificateClassifyQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public CertificateClassifyQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public CertificateClassifyQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public CertificateClassifyQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public CertificateClassifyQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public CertificateClassifyQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public CertificateClassifyQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public CertificateClassifyQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CertificateClassifyQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CertificateClassifyQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CertificateClassifyQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CertificateClassifyQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}